# Clippay

Hello world! 

Clippay is a integration for clip, For generate a release, first see the Basic checks section and after execute release command


## Run Clippay-Prestashop 

First you need install docker 

```bash 
docker-compose up 
```

Enter the container 

```bash 
docker-compose exec prestashop /bin/bash
```

Go to the clippay folder 

```bash 
cd /var/www/html/modules/clippay
```

run 

```bash 
npm run watch
```

Generate production files

```bash 
npm run lint-and-fix
npm run format
npm run build
```

> Note: remember put permission on the folder clippay

## How to install 

First install all global dependencies, **remember to set public vendor/bin folder.** 

```bash 
composer global require prestashop/php-dev-tools
```

```bash 
composer global require rhonalchirinos/prestacli
```

## Basic checks 

Documentation are here documentation (https://devdocs.prestashop-project.org/8/modules/testing/basic-checks). 

```bash 
php-cs-fixer fix
```

```bash 
header-stamp --license=afl.txt --exclude=vendor,tests,.prestashop,.config,node_modules,release,resources
```

## Generate Release

Documentation are here documentation (https://github.com/rhonalchirinos/prestacli). 


```bash 
prestacli release
```

## Postman

```bash 
curl --location --request POST 'http://localhost:8080/es/module/clippay/webhook?cart_id=12&clippay=12_U3%2Fs4xcum5uiVLjTCwTzBzztgKCSVHRv1m%2BHz9duDss%2BL9TWMPwww1GfpOo5D%2FQF93542nviN8y19or%2FtzoYPQ%3D%3D' \
--header 'Content-Type: application/json' \
--data-raw '{
    "ok": "123",
    "id":"4ce1c246-04f5-4775-8c0f-0f486d5ec7a2",
    "api_version":"1.0",
    "payment_request_id":"802fbf42-f3fd-4efe-828c-b4df90cb7849",
    "transaction_id":"4e8e849a-d7f7-4331-ade9-4a27d0c99999",
    "resource":"CHECKOUT",
    "resource_status":"CHECKOUT_COMPLETED",
    "detail_type":"Payment Request Created",
    "attempts":1,
    "sent_date":"2023-03-09T14:12:21Z",
    "created_at":"2023-03-09T14:12:18Z",
    "completed_at":null,
    "expires_at":"2023-03-12T14:12:18Z",
    "canceled_at":null,
    "expired_at":null,
    "declined_at":null,
    "payment_date":null,
    "me_reference_id":"conexaclip_12",
    "receipt_no":null,
    "payment_type":null,
    "barcode":null,
    "customer_email":null 
}'
```
