<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */

class ClippayClippageModuleFrontController extends ModuleFrontController
{

    /**
     * 
     */
    public function __construct()
    {
        parent::__construct(); 
    }

    /**
     * 
     * 
     * */
    public function postProcess()
    {
        $cart_id = Tools::getValue('cart_id');
        $clippay = Tools::getValue('clippay');
        $order_id = Order::getOrderByCartId((int) $cart_id);

        if($order_id) {
            return Tools::redirect(
                Context::getContext()->link->getModuleLink(
                    'clippay',
                    'success',
                    ['cart_id' => $cart_id, 'clippay' => $clippay]
                )
            );            
        }

        return Tools::redirect(
            Context::getContext()->link->getPageLink(
                 'order',
                 null,
                 null,
                'step=3'
            )
        );
    }
}
