<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */

use Conexa\Clippay\Helpers\ClippayLog;
use Conexa\Clippay\Services\ClipService;

class ClippayCredentialModuleFrontController extends ModuleFrontController
{
    /**
     * Do whatever you have to before redirecting the customer on the website of your payment processor.
     */
    public function postProcess()
    {
        $body = json_decode(Tools::file_get_contents('php://input'), true);
        $apiKey = $body['apiKey'];
        $secretKey = $body['apiSecret'];
        $token = Configuration::get('CLIPPAY_TOKEN_SUCCESS');

        if ($token == Tools::getValue('token') && !is_null($apiKey) && !is_null($secretKey)) {
            $key = base64_encode("$apiKey:$secretKey");
            $service = new ClipService();
            $to = date('Y-m-d', time()) . 'T00:00:00-00:00';
            $from = date('Y-m-d', time() - 100000) . 'T00:00:00-00:00';

            if ($service->credentialTest($from, $to, $key)) {
                Configuration::updateValue('CLIPPAY_APIKEY', $apiKey);
                Configuration::updateValue('CLIPPAY_SECRET_KEY', $secretKey);
                Configuration::updateValue('CLIPPAY_XAPIKEY', $key);
                ClippayLog::info('Credentials uploaded successfully');
                exit('ok');
            }
        }

        exit('Invalid token');
    }
}
