{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 *}

<script type="text/json" id="clippay-languages">
    { 
        "home_back_tutorial": "{l s='Back to tutorial' mod='clippay'}",
        "home_checkout_title": "{l s='Integrate our checkout' mod='clippay'}",
        "home_checkout_subtitle": "{l s='You can then configure the checkout clip integration. If you don\'t have a clip account, just create one and then come back here.' mod='clippay'}",
        "home_create_account": "{l s='Create account' mod='clippay'}",
        "home_already_account": "{l s='I already have an account' mod='clippay'}",
        "home_advantage_title": "{l s='Know the benefits' mod='clippay'}",
        "home_credit_cards_title": "{l s='Accept all cards and cash securely' mod='clippay'}",
        "home_credit_cards_segure_pay": "{l s='Your secure payments with: ' mod='clippay'}",
        "home_use_clip": "{l s='Why use clip?' mod='clippay'}",
        "home_customer_support_title": "{l s='Customer Support' mod='clippay'}",
        "home_customer_support_subtitle": "{l s='Our customer service center, Customer Happiness, attends you and solves your doubts 24/7.' mod='clippay'}",
        "home_everything_you_need_title": "{l s='Everything you need' mod='clippay'}",
        "home_everything_you_need_subtitle": "{l s='In addition to Checkout Clip, we invite you to learn about all our products to be able to accept all cards and check your transactions in real time from the same place.' mod='clippay'}",
        "home_available_money_title": "{l s='Your money available 24/7' mod='clippay'}",
        "home_available_money_subtitle": "{l s='Receive your earnings 24 hours a day, 365 days a year, even on weekends or holidays, even with payments of 3, 6, 9, 12, 18 or 24 months without interest.' mod='clippay'}",
        "home_costs": "{l s='Costs' mod='clippay'}",
        "home_benefits_title": "{l s='Join us and forget about monthly rentals' mod='clippay'}",
        "home_benefits_subtitle": "{l s='Being part of Clip gives you better benefits: ' mod='clippay'}",
        "home_accept_all_credit": "{l s='Accept all credit and debit cards' mod='clippay'}",
        "home_backed_with_antifraud": "{l s='Backed with anti-fraud' mod='clippay'}",
        "home_accept_cash_payments": "{l s='Accept cash payments' mod='clippay'}",
        "home_customer_support": "{l s='24/7 customer service' mod='clippay'}",
        "home_any_device": "{l s='Any device' mod='clippay'}",
        "home_transaction_report": "{l s='Transaction report' mod='clippay'}",
        "home_tax_receipts": "{l s='Tax receipts' mod='clippay'}",
        "home_our_commission_rate": "{l s='Our commission rate' mod='clippay'}",
        "home_per_transaction": "{l s='3.6% + IVA per transaction*' mod='clippay'}",
        "home_sales_commission": "{l s='Sales commission varies in monthly payments without interest' mod='clippay'}",
        "home_no_subscription_cost": "{l s='No subscription cost' mod='clippay'}",
        "home_monthly": "{l s='$0 monthly' mod='clippay'}",
        "home_no_registration_fee": "{l s='No registration fee' mod='clippay'}",
        "home_integrate_clip": "{l s='Integrate Clip' mod='clippay'}",


        "create_account_steps_progress_log_in": "{l s='Log in to Clip' mod='clippay'}",
        "create_account_steps_progress_log_in_subtitle": "{l s='If you already have or created your account, log in to' mod='clippay'}",
        "create_account_steps_progress_create_app": "{l s='Create the app by entering the name' mod='clippay'}",
        "create_account_steps_progress_create_app_subtitle": "{l s='inside the Clip dashboard go to the developer panel and create a new application' mod='clippay'}",
        "create_account_steps_progress_copy_credentials": "{l s='Copy the credentials' mod='clippay'}",
        "create_account_steps_progress_copy_credentials_subtitle": "{l s='Once the application is created, copy and paste the credentials in the next step' mod='clippay'}",
        "create_account_create_account": "{l s='Log in to Clip' mod='clippay'}",
        "create_account_developer_portal": "{l s='Go to developer portal' mod='clippay'}",
        "create_account_previous": "{l s='Previous' mod='clippay'}",
        "create_account_next": "{l s='Next' mod='clippay'}",

        "login_login_title": "{l s='Enter your credentials' mod='clippay'}",
        "login_input_api_key": "{l s='Enter the API KEY' mod='clippay'}",
        "login_input_api_secret": "{l s='Enter the API SECRET' mod='clippay'}",
        "login_legend_question": "{l s='Can\'t find your credentials?' mod='clippay'}",
        "login_legend_question_subtitle": "{l s='Enter here' mod='clippay'}",
        "login_validate": "{l s='Validate' mod='clippay'}",

        "message_text_error": "{l s='We couldn\'t start your session' mod='clippay'}",
        "message_text_success": "{l s='Ready!' mod='clippay'}",
        "message_paragraph_error": "{l s='Please try again.' mod='clippay'}",
        "message_paragraph_success": "{l s='You have successfully logged in.' mod='clippay'}",
        "message_back_store": "{l s='Back to my shop' mod='clippay'}",
        "message_retry": "{l s='Retry' mod='clippay'}"
    }
</script>
 

{if !empty($xapikey) }
    <form action="{$url_formReset|escape:'htmlall':'UTF-8'}" method="post" id="formClippayReset">
        <input type="hidden" name="resetClippayModule" value="1">
        <div class="alert alert-success d-print-none clip-alert" role="alert">
            <div class="alert-text">
                {l s='Module configured correctly' mod='clippay'}
                <button 
                    id="module_form_submit_btn" 
                    type="submit" 
                    value="1" 
                    name="resetClippayModule"
                    style=" all: unset; cursor: pointer; text-decoration: underline;" >
                    {l s='set new credentials' mod='clippay'}
                </button>
            </div>
        </div>
    </form>
{else} 
    <div class="panel">
        <div id="root" 
                style="display: unset !important;" 
                module_dir="{$module_dir|escape:'html':'UTF-8'}" 
                lang="{$lang|escape:'html':'UTF-8'}" 
                clip_credential="{$url_return|escape:'html':'UTF-8'}">
        </div>
    </div>
{/if}


<script type="module" src="{$url_js}"></script>

<link rel="stylesheet" href="{$url_css}">

<script type="text/javascript">
    $(document).ready(function() {
    $("#formClippayReset").on('submit', function( event ) {
            if (!confirm('Are you sure you want to continue? ')) {
                event.preventDefault();
            } 
        });
    });
</script>


